<template>
  <auth-layout>
    <div v-if="!onSuccess">
      <forgot-password-form @success="onSuccess = true" />
    </div>
  </auth-layout>
</template>

<script>
import AuthLayout from "../layouts/AuthLayout.vue";
import ForgotPasswordForm from "../components/forms/ForgotPasswordForm.vue";
import { defineComponent, ref } from "vue";

export default defineComponent({
  name: "ForgotPasswordPage",
  components: {
    AuthLayout,
    ForgotPasswordForm,
  },
  setup() {
    const onSuccess = ref(false);

    return {
      onSuccess,
    };
  },
});
</script>
